public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmdots/
Date: Thu, 26 Jul 2018 20:30:28 +0000 (UTC)	[thread overview]
Message-ID: <1532636918.4efbf3ca123ed0eaf7a7441da3abbbe486268f46.voyageur@gentoo> (raw)

commit:     4efbf3ca123ed0eaf7a7441da3abbbe486268f46
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Jul 22 11:00:27 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Jul 26 20:28:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4efbf3ca

x11-plugins/wmdots: EAPI7, improve ebuild

 x11-plugins/wmdots/wmdots-0.2_beta-r1.ebuild | 43 ++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/x11-plugins/wmdots/wmdots-0.2_beta-r1.ebuild b/x11-plugins/wmdots/wmdots-0.2_beta-r1.ebuild
new file mode 100644
index 00000000000..4f65793c900
--- /dev/null
+++ b/x11-plugins/wmdots/wmdots-0.2_beta-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="multishape 3d rotating dots"
+HOMEPAGE="https://www.dockapps.net/wmdots"
+SRC_URI="https://www.dockapps.net/download/${P/_}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXpm"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+	default
+	eapply "${FILESDIR}"/${P}-stringh.patch
+	sed -e "s:cc:$(tc-getCC):g" \
+		-e "s:-g -O2:${CFLAGS}:g" -i Makefile || die
+
+	#Fix compilation target
+	sed -e "s:wmifs:wmdots:" -i Makefile || die
+
+	#Honour Gentoo LDFLAGS, see bug #336982
+	sed -e "s:-o wmdots:\$(LDFLAGS) -o wmdots:" -i Makefile || die
+}
+
+src_compile() {
+	emake clean
+	emake LIBDIR="-L/usr/$(get_libdir)"
+}
+
+src_install() {
+	dobin wmdots
+}


             reply	other threads:[~2018-07-26 20:30 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-26 20:30 Bernard Cafarelli [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-02-24 21:04 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmdots/ Bernard Cafarelli
2018-10-07 12:44 Mikle Kolyada
2018-10-07 12:44 Mikle Kolyada
2018-05-05 19:28 Aaron Bauman
2017-11-27 13:51 Bernard Cafarelli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1532636918.4efbf3ca123ed0eaf7a7441da3abbbe486268f46.voyageur@gentoo \
    --to=voyageur@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox